Name:           perl-SVK
Version:        2.2.3
Release:        6%{?dist}
Summary:        A Distributed Version Control System
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SVK/
Source0:        http://www.cpan.org/modules/by-authors/id/C/CL/CLKAO/SVK-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Algorithm::Annotate)
BuildRequires:  perl(Algorithm::Diff) >= 1.19
BuildRequires:  perl(App::CLI)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Class::Autouse) >= 1.15
BuildRequires:  perl(Class::Data::Inheritable)
BuildRequires:  perl(Data::Hierarchy) >= 0.30
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Type)
BuildRequires:  perl(File::MMagic)
BuildRequires:  perl(FreezeThaw)
BuildRequires:  perl(IO::Digest)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Locale::Maketext::Lexicon)
BuildRequires:  perl(Log::Log4perl)
BuildRequires:  perl(Path::Class) >= 0.16
BuildRequires:  perl(PerlIO::eol) >= 0.13
BuildRequires:  perl(PerlIO::via::dynamic) >= 0.11
BuildRequires:  perl(PerlIO::via::symlink) >= 0.02
BuildRequires:  perl(Pod::Escapes)
BuildRequires:  perl(Pod::Simple)
#BuildRequires:  perl(SVN::Mirror) >= 0.71
BuildRequires:  perl(SVN::Simple::Edit) >= 0.27
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(URI)
BuildRequires:  perl(version) >= 0.68
BuildRequires:  perl(YAML::Syck) >= 0.60
BuildRequires:  perl(Time::Progress)
Requires:  perl(App::CLI)
Requires:  perl(Class::Accessor::Fast)
Requires:  perl(Class::Data::Inheritable)
Requires:  perl(Pod::Escapes)
Requires:  perl(Pod::Simple)
Requires:  perl(ExtUtils::MakeMaker)
#Requires:  perl(SVN::Mirror) >= 0.71
Requires:  perl(Term::ReadKey)
Requires:  perl(Time::Progress)
Requires:  perl(URI)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:  perl(SVK::Version)

Source98:  SVK-filter-requires.sh
%global real_perl_requires %{__perl_requires}
%define __perl_requires %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)-filter-requires

%description
SVK is a decentralized version control system written in Perl. It uses
the Subversion file system but provides additional features:

    * Offline operations like check-in, log, merge.
    * Distributed branches.
    * Lightweight checkout copy management (no .svn directories).
    * Advanced merge algorithms, like star-merge and cherry picking.

For more information about the SVK project, visit http://svk.elixus.org/.

%prep
%setup -q -n SVK-v%{version}

sed -e 's,@@PERL_REQ@@,%{real_perl_requires},' %{SOURCE98} > %{__perl_requires}
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL --skipdeps INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
# The tests are a bit hosed. Revisit at some point.
#make test
# Some tests fail: <https://rt.cpan.org/Public/Bug/Display.html?id=58633>
#chmod -R u+w t

%clean
rm -rf $RPM_BUILD_ROOT %{__perl_requires}

%files
%doc ARTISTIC CHANGES CHANGES-1.0 COMMITTERS COPYING README
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/svk

%changelog
* Sun Oct  2 2011 Tom Callaway <spot@fedoraproject.org> - 2.2.3-6
- add missing Requires: perl(ExtUtils::MakeMaker) (bz 718870)

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 2.2.3-5
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 2.2.3-4
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.2.3-2
- 661697 rebuild for fixing problems with vendorach/lib

* Wed Jun 23 2010 Petr Pisar <ppisar@redhat.com> - 2.2.3-1
- 2.2.3 bump
- Remove SVN::Mirror dependency because perl-SVN-Mirror has been retired
- Fix spelling in description

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.2.1-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.2.1-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb  5 2009 Ian Burrell <ianburrell@gmail.com> - 2.2.1-2
- require Time::Progress

* Sat Jan 17 2009 Ian Burrell <ianburrell@gmail.com> - 2.2.1-1
- Update to 2.2.1

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.2-3
- disable tests, they're a bit hosed

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.2-2
- rebuild for new perl

* Thu Aug 16 2007 Ian Burrell <ianburrell@gmail.com> - 2.0.2-1
- Update to 2.0.2
- Fix BuildRequires

* Mon Jun 18 2007 Ian Burrell <ianburrell@gmail.com> - 2.0.1-2
- Add Compress::Zlib to BuildRequires

* Sun Jun 17 2007 Ian Burrell <ianburrell@gmail.com> - 2.0.1-1
- Update to 2.0.1
- Filter optional File::LibMagic

* Tue May 29 2007 Ian Burrell <ianburrell@gmail.com> - 2.0.0-1
- Update to 2.0.0

* Mon Sep 11 2006 Ian Burrell <ianburrell@gmail.com> - 1.08-5
- Rebuild for FC6

* Wed Aug  9 2006 Ian Burrell <ianburrell@gmail.com> - 1.08-4
- Add Term::ReadKey and SVN::Mirror requires

* Fri Jul  7 2006 Ian Burrell <ianburrell@gmail.com> - 1.08-2
- Remove contrib scripts
- Add filter provides to filter duplicate perl(SVK)

* Wed Jul  5 2006 Ian Burrell <ianburrell@gmail.com> - 1.08-1
- Update to 1.08
- Add build requires

* Tue Jul  4 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-8
- Fix source URL

* Wed Jun 28 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-7
- Cleanup duplicate requires

* Wed Jun 28 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-6
- Add build requires

* Wed Jun 28 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-5
- Add provides SVK::Version

* Wed Jun 28 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-4
- Add option deps; remove autoinstall

* Thu Mar 30 2006 Ian Burrell <ianburrell@gmail.com> 1.07-1
- Specfile autogenerated by cpanspec 1.64.
